package de.fhdw.gaming.ipspiel23.c4.strategies;

import java.util.ArrayList;
import java.util.List;
import java.util.ServiceLoader;

/**
 * Provides strategy factories.
 */
public final class C4DefaultStrategyFactoryProvider implements IC4StrategyFactoryProvider {

    @Override
    public List<IC4StrategyFactory> getStrategyFactories() {
        final ServiceLoader<IC4StrategyFactory> services = ServiceLoader.load(IC4StrategyFactory.class);
        final List<IC4StrategyFactory> list = new ArrayList<>();
        services.iterator().forEachRemaining(list::add);
        return list;
    }
}
